/*
 * Copyright (c) 2008, Noel Lemouel
 * All rights reserved. See LICENCE file for details.
 */

#ifndef __ERRNO_H__
#define __ERRNO_H__

int errno;

typedef enum
{
    OK = 0,
    ERR_BAD_PARAMETER,
    ERR_OUT_OF_MEMORY,
    ERR_FEATURE_NOT_SUPPORTED,
    ERR_TIMEOUT,
    ERR_BUSY,
    ERR_INVALID_CHANNEL,
    ERR_FATAL,
} ERR_t;

#endif /* __ERRNO_H__ */

